aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/ruby-gollum-lib-github-markup
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-04-29 08:11:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-29 12:36:41 +0000
commit80acbaee801184140fac0c967cbb8aa051db2b06 (patch)
tree77c8128eadea951dd93cce5ba6632c5ddc120426 /unmaintained/ruby-gollum-lib-github-markup
parent5db5ee5c13e577e862e822501b2e4863fbd63195 (diff)
downloadaports-80acbaee801184140fac0c967cbb8aa051db2b06.tar.bz2
aports-80acbaee801184140fac0c967cbb8aa051db2b06.tar.xz
move testing/ruby-* to unmaintained
ruby-mime-types and ruby-nokogiri was there already so remove those
Diffstat (limited to 'unmaintained/ruby-gollum-lib-github-markup')
-rw-r--r--unmaintained/ruby-gollum-lib-github-markup/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/unmaintained/ruby-gollum-lib-github-markup/APKBUILD b/unmaintained/ruby-gollum-lib-github-markup/APKBUILD
new file mode 100644
index 0000000000..4d63a36d34
--- /dev/null
+++ b/unmaintained/ruby-gollum-lib-github-markup/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Seung Soo Mun <hamletmun@gmail.com>
+# Maintainer:
+_gemname=github-markup
+pkgname=ruby-gollum-lib-$_gemname
+pkgver=1.1.2
+pkgrel=0
+pkgdesc="This gem is used by GitHub to render any fancy markup such as Markdown, Textile, Org-Mode, etc."
+url="http://rubygems.org/gems/$_gemname"
+arch="noarch"
+license="MIT"
+depends="ruby ruby-posix-spawn"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="46e9435ff4bd7d8c62e5aad33ef8a800 github-markup-1.1.2.gem"
+sha256sums="4fac486cee8c1532784e5338beb3b56dc76b3d2d6a8cf3194bf7ab5285d54648 github-markup-1.1.2.gem"
+sha512sums="140f70b9c39d4a461ff4b74c1118d6e02a89e4f1d0556c56e43954502eafa64c1c1b671c2ad2b0b677d782918756d468c4627e87d7dd6c63e4393d35c99c8829 github-markup-1.1.2.gem"